File: control

package info (click to toggle)
lirc 0.10.1-6
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 8,364 kB
  • sloc: ansic: 26,717; cpp: 9,066; sh: 5,521; python: 4,362; makefile: 1,034; xml: 63
file content (180 lines) | stat: -rw-r--r-- 4,563 bytes parent folder | download | duplicates (2)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
Source: lirc
Section: utils
Priority: optional
Homepage: https://sf.net/p/lirc
Standards-Version: 4.3.0
Maintainer: Debian Lirc Team <team+debian-lirc@tracker.debian.org>
Uploaders:
  Stefan Lippers-Hollmann <s.l-h@gmx.de>,
  Alec Leamas <leamas.alec@gmail.com>
Vcs-Git: https://gitlab.com/leamas/lirc.git
Vcs-Browser: https://gitlab.com/leamas/lirc
Build-Depends:
 debhelper (>= 11),
 dh-exec,
 dh-python,
 doxygen,
 expect [!hurd-any],
 kmod [linux-any],
 libasound2-dev [linux-any kfreebsd-any],
 libftdi1-dev,
 libsystemd-dev [linux-any],
 libudev-dev [linux-any],
 libusb-1.0-0-dev [!kfreebsd-any],
 libusb-dev[!kfreebsd-any],
 libx11-dev,
 man2html-base,
 pkg-config,
 portaudio19-dev,
 python3-dev (>= 3.5),
 python3-setuptools,
 python3-yaml,
 socat [!hurd-any],
 systemd [linux-any],
 xsltproc
# libjs-jquery


Package: lirc
Architecture: any
Depends:
 liblirc0 (= ${binary:Version}),
 lsb-base (>= 3.0-6),
 python3,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends}
Recommends:
 gir1.2-vte,
 python3-yaml,
 python3-gi,
 systemd [linux-any]
Suggests:
 lirc-compat-remotes,
 lirc-drv-irman,
 lirc-doc,
 lirc-x,
 setserial,
 ir-keytable
Breaks:
 lirc-modules-source (<<0.9~),
 lirc-svga (<<0.9~),
 inputlirc (<<19)
Description: Infra-red remote control support - daemons and utils
 LIRC stands for 'Linux Infra-red Remote Control'.
 .
 This package provides the daemons and some utilities to support infra-red
 remote controls under Linux.


Package: lirc-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 lsb-base
# libjs-jquery
Replaces:
 lirc (<< 0.9.1)
Breaks:
 lirc (<< 0.9.1)
Description: Infra-red remote control support - website and manual docs
 LIRC stands for 'Linux Infra-red Remote Control'.
 .
 This package provides the documentation including manual, manpages and
 the public website.


Package: liblirc0
Architecture: any
Multi-Arch: same
Section: libs
Replaces:
 lirc (<< 0.9.1)
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lsb-base
Breaks:
 lirc (<< 0.9.1)
Description: Infra-red remote control support - Run-time libraries
 LIRC stands for 'Linux Infra-red Remote Control'.
 .
 Package contains internal LIRC runtime libs used by external applications
 (liblirc_client.so*), drivers (liblirc_driver.so*) and also internal
 LIRC applications (lirc_private.so*)


Package: liblircclient0
Architecture: any
Section: libs
Depends: liblirc-client0, ${misc:Depends}
Description: Transitional placeholder for obsoleted liblircclient0
 Virtual, empty package used in the process of renaming liblircclient0
 to liblirc-client0.


Package: liblircclient-dev
Architecture: any
Section: libdevel
Depends: liblirc-dev, ${misc:Depends}
Description: Transitional placeholder for obsoleted liblircclient-dev
 Virtual, empty package used in the process of incorporating
 liblircclient-dev in new package liblirc-dev.


Package: liblirc-dev
Architecture: any
#Multi-Arch: same
Section: libdevel
Provides: liblircclient-dev
Breaks: liblircclient-dev (<< 0.9.1)
Replaces: liblircclient-dev (<< 0.9.1)
Depends:
 liblirc0 (= ${binary:Version}),
 liblirc-client0 (= ${binary:Version}),
 ${misc:Depends},
 lsb-base
Description: Infra-red remote control support - development files
 LIRC stands for 'Linux Infra-red Remote Control'.
 .
 Package contains headers and other support used when developing external
 applications, drivers (liblirc_driver.so) and also internal LIRC
 software. See the User Space Driver API and  Lirc Client API sections
 in the lirc manual available in lirc-doc.


Package: liblirc-client0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: lirc
Pre-Depends: ${misc:Pre-Depends}
Breaks:
 inputlirc (<< 19),
 kradio (<< 4),
 liblircclient0 (<=0.9.4~pre1)
Replaces: liblircclient0 (<=0.9.4~pre1)
Description: infra-red remote control support - client library
 LIRC stands for 'Linux Infra-red Remote Control'.
 .
 This package provides a library with functions to support remote
 controls via LIRC in programs such as xawtv.


Package: lirc-x
Architecture: any
Depends:
 liblirc0 (= ${binary:Version}),
 lirc (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: xfonts-75dpi
Description: infra-red remote control support - X utilities
 LIRC stands for 'Linux Infra-red Remote Control'.
 .
 This package provides X utilities for LIRC:
  - irxevent: Allows controlling X applications with a remote control.
  - xmode2:   Shows the IR waveform of the remote controller without an
              oscilloscope. Unneeded for TV cards or the Irman.